----------------------------------------------------------------------------
-- @Author: ViperGTS96-----------------------------------------------------
----------------------------------------------------------------------------
--------------------"The simplest design is the best design." --------------
----------------------------------------------------------------------------
----------------------------------------------------------------------------

bigfootWetVehicleInit = {};
bigfootWetVehicleInit.printNodeCount = false;

function bigfootWetVehicleInit:onPostLoad(self)
	if g_currentMission.wetVehicles ~= nil then
		if self.spec_washable ~= nil and self.spec_washable.washableNodes ~= nil then
			self.spec_wetVehicles = {};
			local i = 0;
			for _, nodeData in ipairs(self.spec_washable.washableNodes) do
				for _, node in pairs(nodeData.nodes) do
					if getHasShaderParameter(node, "SM") then
						local shine,_,_,_ = getShaderParameter(node, "SM");
						nodeData.nodeMinShine = shine;
						i=i+1;
					end;
				end;
			end;
			self.spec_wetVehicles.nodeCount = i;
			if bigfootWetVehicleInit.printNodeCount then
				print("Total 'Wet Vehicle' nodes: "..self.spec_wetVehicles.nodeCount);
			end;
			if self.spec_wetVehicles.nodeCount < 1 then
				self.spec_wetVehicles = nil;
			end;
		end;
	end;
end;